import { MessageComponentBaseProps, MessagePayloadStyle } from '@aws-amplify/ui-react-core-notifications';
import { MessageComponentStyles, MessageStyleParams } from './types';
/**
 * Utility for extracting message payload style
 *
 * @param props message props
 *
 * @returns message payload-specific styles
 */
export declare const getPayloadStyle: ({ body, container, header, primaryButton, secondaryButton, }: MessageComponentBaseProps) => MessagePayloadStyle;
/**
 * Receives message styling and returns style property values for use with in-app message
 * UI components. Handles resolving style precedence between payload and custom styles
 *
 * Styles resolve precedence from lowest to highest:
 *   1. Payload styles
 *   2. Custom (override) styles
 *
 * @param params message style params
 *
 * @returns message component styles
 */
export declare function getMessageStyles({ styleParams, }: MessageStyleParams): MessageComponentStyles;
